### 5.1.101 mult

`Syntax:`
  `mult (` ideal_expression `)`
  `mult (` module_expression `)`
`Type:`
  int
`Purpose:`
  computes the degree of the monomial ideal, resp. module, generated by the leading monomials of the input.
  If the input is a standard basis of a homogeneous ideal then it returns the degree of this ideal.
  If the input is a standard basis of an ideal in a (local) ring with respect to a local degree ordering then it returns the multiplicity of the ideal (in the sense of Samuel, with respect to the maximal ideal).
`Example:`

        ring r=32003,(x,y),ds;
        poly f=(x3+y5)^2+x2y7;
        ideal i=std(jacob(f));
        mult(i);
      ==> 46
        mult(std(f));
      ==> 6

See degree; dim; ideal; std; vdim.

User manual for Singular version 4.4.1, 2025, generated by texi2html.